Patchwork [7,of,9,v2] bundlerepo: use supportedincomingversions instead of allsupportedversions

login
register
mail settings
Submitter Augie Fackler
Date Aug. 5, 2016, 5:23 p.m.
Message ID <cb4b54c546d76d5ac0cc.1470417825@arthedain.pit.corp.google.com>
Download mbox | patch
Permalink /patch/16126/
State Superseded
Headers show

Comments

Augie Fackler - Aug. 5, 2016, 5:23 p.m.
# HG changeset patch
# User Augie Fackler <augie@google.com>
# Date 1470334415 14400
#      Thu Aug 04 14:13:35 2016 -0400
# Node ID cb4b54c546d76d5ac0ccfe32ac02265d9ae8d336
# Parent  7e585d431acf066bf97ac7ccf8d16044206d5931
bundlerepo: use supportedincomingversions instead of allsupportedversions

Since bundlerepo is really a pull-like operation, this is the correct
method to use here.

Patch

diff --git a/mercurial/bundlerepo.py b/mercurial/bundlerepo.py
--- a/mercurial/bundlerepo.py
+++ b/mercurial/bundlerepo.py
@@ -284,7 +284,8 @@  class bundlerepository(localrepo.localre
                                                   "multiple changegroups")
                     cgstream = part
                     version = part.params.get('version', '01')
-                    if version not in changegroup.allsupportedversions(ui):
+                    legalcgvers = changegroup.supportedincomingversions(self)
+                    if version not in legalcgvers:
                         msg = _('Unsupported changegroup version: %s')
                         raise error.Abort(msg % version)
                     if self.bundle.compressed():